Bug 1268083 - Review Request: python-maxminddb - Reader for the MaxMind DB format
Review Request: python-maxminddb - Reader for the MaxMind DB format
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 15:00 EDT by William Moreno
Modified: 2016-04-12 15:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-12 15:09:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Moreno 2015-10-01 15:00:10 EDT
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/python-maxminddb.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/python-maxminddb-1.2.0-1.fc22.src.rpm
Description: Reader for the MaxMind DB format
Fedora Account System Username: williamjmorenor

Rawhide build: http://koji.fedoraproject.org/koji/taskinfo?taskID=11296857

rpmlint rpmbuild/SRPMS/python-maxminddb-1.2.0-1.fc22.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-12-04 23:54:08 EST
What is the minddb format? Can you add an explanation to the description?

What does it mean that the C extension is optional? If it is always built in the Fedora package, for Fedora users it is not "optional", and this part of the description can be removed.

You can use %{summary} to avoid duplicating the summary.

Egginfo stuff doesn't have to be deleted, unless it contains binary eggs.

"do not buil" → typo.

What does it mean that the library does not build in Fedora? Is it missing some deps?
Comment 2 Paul Belanger 2015-12-17 14:11:01 EST
Some comments in passing:

You are missing LICENSE files in your packaging. Also, you have listed BSB, but usptream looks to be using APACHE 2.0

Reading upstream documentation, you need libmaxminddb but you are missing it.

Would be nice to see some documentation built here too.

RPMLint is pretty unhappy, you'll need to fix that.

Some more work needs to be done here, but don't have an issue reviewing again once you address the issues.

Rpmlint
-------
Checking: python2-maxminddb-1.2.0-1.fc24.noarch.rpm
          python3-maxminddb-1.2.0-1.fc24.noarch.rpm
          python-maxminddb-1.2.0-1.fc24.src.rpm
python2-maxminddb.noarch: W: only-non-binary-in-usr-lib
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb-1.2.0-py2.7.egg-info/requires.txt
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/errors.pyo
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/compat.pyo
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb-1.2.0-py2.7.egg-info/SOURCES.txt
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/const.pyo
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/__init__.pyc
python2-maxminddb.noarch: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/maxminddb/extension/maxminddb.c
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/extension/maxminddb.c
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/file.pyo
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb-1.2.0-py2.7.egg-info/PKG-INFO
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/__init__.pyo
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/file.pyc
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/const.py
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb-1.2.0-py2.7.egg-info/top_level.txt
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/compat.pyc
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/reader.pyo
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/__init__.py
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb-1.2.0-py2.7.egg-info/dependency_links.txt
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/reader.pyc
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/errors.py
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/errors.pyc
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/compat.py
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/reader.py
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/decoder.pyo
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/file.py
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/const.pyc
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/decoder.py
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/decoder.pyc
python3-maxminddb.noarch: W: only-non-binary-in-usr-lib
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/reader.cpython-35.opt-1.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/compat.cpython-35.opt-1.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb-1.2.0-py3.5.egg-info/top_level.txt
python3-maxminddb.noarch: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/maxminddb/extension/maxminddb.c
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/extension/maxminddb.c
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/errors.py
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__init__.py
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/const.cpython-35.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/__init__.cpython-35.opt-1.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/decoder.py
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/decoder.cpython-35.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/file.cpython-35.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/file.py
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/errors.cpython-35.opt-1.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/const.py
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/decoder.cpython-35.opt-1.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/errors.cpython-35.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/file.cpython-35.opt-1.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/const.cpython-35.opt-1.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb-1.2.0-py3.5.egg-info/dependency_links.txt
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb-1.2.0-py3.5.egg-info/SOURCES.txt
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/reader.py
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb-1.2.0-py3.5.egg-info/PKG-INFO
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/compat.py
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/reader.cpython-35.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/compat.cpython-35.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/__init__.cpython-35.pyc
3 packages and 0 specfiles checked; 53 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
python2-maxminddb.noarch: W: only-non-binary-in-usr-lib
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/file.py
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/const.pyo
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/errors.pyo
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb-1.2.0-py2.7.egg-info/top_level.txt
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/decoder.py
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb-1.2.0-py2.7.egg-info/requires.txt
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/reader.pyc
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/compat.py
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/file.pyc
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/const.py
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/reader.py
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/__init__.pyc
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/const.pyc
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/decoder.pyc
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb-1.2.0-py2.7.egg-info/dependency_links.txt
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/errors.py
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/__init__.py
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/errors.pyc
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/reader.pyo
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb-1.2.0-py2.7.egg-info/PKG-INFO
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/compat.pyo
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/decoder.pyo
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/__init__.pyo
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/file.pyo
python2-maxminddb.noarch: W: devel-file-in-non-devel-package /usr/lib64/python2.7/site-packages/maxminddb/extension/maxminddb.c
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/extension/maxminddb.c
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb-1.2.0-py2.7.egg-info/SOURCES.txt
python2-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python2.7/site-packages/maxminddb/compat.pyc
python3-maxminddb.noarch: W: only-non-binary-in-usr-lib
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb-1.2.0-py3.5.egg-info/dependency_links.txt
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/__init__.cpython-35.opt-1.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb-1.2.0-py3.5.egg-info/PKG-INFO
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/const.cpython-35.opt-1.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/reader.cpython-35.opt-1.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/const.py
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/reader.cpython-35.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/errors.cpython-35.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/file.cpython-35.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb-1.2.0-py3.5.egg-info/SOURCES.txt
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__init__.py
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/__init__.cpython-35.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/errors.cpython-35.opt-1.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/reader.py
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/decoder.cpython-35.opt-1.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/errors.py
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/compat.py
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/decoder.py
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/compat.cpython-35.opt-1.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/const.cpython-35.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/file.cpython-35.opt-1.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/file.py
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/decoder.cpython-35.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/__pycache__/compat.cpython-35.pyc
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb-1.2.0-py3.5.egg-info/top_level.txt
python3-maxminddb.noarch: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/maxminddb/extension/maxminddb.c
python3-maxminddb.noarch: E: noarch-python-in-64bit-path /usr/lib64/python3.5/site-packages/maxminddb/extension/maxminddb.c
2 packages and 0 specfiles checked; 53 errors, 4 warnings.

Note You need to log in before you can comment on or make changes to this bug.